k8s.io/registry.k8s.io@v0.3.1/hack/make-rules/verify.sh (about)

     1  #!/usr/bin/env bash
     2  
     3  # Copyright 2022 The Kubernetes Authors.
     4  #
     5  # Licensed under the Apache License, Version 2.0 (the "License");
     6  # you may not use this file except in compliance with the License.
     7  # You may obtain a copy of the License at
     8  #
     9  #     http://www.apache.org/licenses/LICENSE-2.0
    10  #
    11  # Unless required by applicable law or agreed to in writing, software
    12  # distributed under the License is distributed on an "AS IS" BASIS,
    13  # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14  # See the License for the specific language governing permissions and
    15  # limitations under the License.
    16  
    17  set -o errexit -o nounset -o pipefail
    18  
    19  # cd to the repo root
    20  REPO_ROOT="$(cd "$(dirname "${BASH_SOURCE[0]}")/../.." &> /dev/null && pwd -P)"
    21  cd "${REPO_ROOT}"
    22  
    23  # exit code, if a script fails we'll set this to 1
    24  res=0
    25  
    26  # run all verify scripts, optionally skipping any of them
    27  
    28  if [[ "${VERIFY_LINT:-true}" == "true" ]]; then
    29    >&2 echo "verifying lints ..."
    30    hack/make-rules/lint.sh || res=1
    31    cd "${REPO_ROOT}"
    32  fi
    33  
    34  if [[ "${VERIFY_SHELLCHECK:-true}" == "true" ]]; then
    35    >&2 echo "verifying shellcheck ..."
    36    hack/make-rules/shellcheck.sh || res=1
    37    cd "${REPO_ROOT}"
    38  fi
    39  
    40  if [[ "${VERIFY_GENERATED:-true}" == "true" ]]; then
    41    >&2 echo "Verifying generated ..."
    42    hack/make-rules/verify-generated.sh || res=1
    43    cd "${REPO_ROOT}"
    44  fi
    45  
    46  # exit based on verify scripts
    47  if [[ "${res}" = 0 ]]; then
    48    >&2 echo ""
    49    >&2 echo "All verify checks passed, congrats!"
    50  else
    51    >&2 echo ""
    52    >&2 echo "One or more verify checks failed! See output above..."
    53  fi
    54  exit "${res}"
    55